> For the complete documentation index, see [llms.txt](https://help.everai.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.everai.vn/api-docs/text-to-speech/get-get-request.md).

# \[GET] Get Request

```
https://www.everai.vn/api/v1/tts/{{request_id}}
```

## API Get Request <a href="#api-get-request" id="api-get-request"></a>

Lấy thông tin của request bằng cách gọi API

**URL:** <mark style="color:blue;"><https://www.everai.vn/api/v1/tts/\\{{request\\_id\\}}></mark>\
**Method:** GET\
**Content Type:** application/json\
**Response Type:** text/json

**Tham số Header**

<table><thead><tr><th width="148">Tham số</th><th width="136">Kiểu dữ liệu</th><th width="137" data-type="checkbox">Tính bắt buộc</th><th>Mô tả</th></tr></thead><tbody><tr><td>Authorization</td><td>Bearer Token</td><td>true</td><td>API key của người dùng, được tạo trong giao diện tại https://everai.vn/api</td></tr></tbody></table>

#### Kết quả trả về

* status: trạng thái của API (1: thành công, 0: thất bại)
* error\_code: mã lỗi (Nếu có)
* error\_message: chi tiết lỗi (Nếu có)
* result: dữ liệu trả về khi gọi API thành công
  * request\_id: mã request
  * characters: số ký tự của đoạn văn bản convert
  * voice\_code
  * audio\_type
  * speed\_rate
  * pitch\_rate
  * bitrate
  * create\_at
  * progress: phần trăm xử lý của request
  * status: trạng thái của request
  * audio\_link: Đường dẫn tải file audio tổng hợp
  * audio\_expired: trạng thái của audio, true nếu audio đã quá hạn lưu trữ

### Example

#### Request

```
curl --location 'http://127.0.0.1:8000/api/v1/tts/0e7ee265-34ff-4807-b9ae-a4eb3ef24573' \
--header 'Authorization: Bearer 5Z62rdsxxExcUOcdbukWNdRufMmxxT18g'
```

#### Response

```
{
    "result": {
        "request_id": "0e7ee265-34ff-4807-b9ae-a4eb3ef24573",
        "bitrate": 128,
        "characters": 24,
        "voice_code": "vi_female_kieunhi_mn",
        "audio_type": "mp3",
        "speed_rate": 1.0,
        "create_at": "2024-09-13T09:40:48.502Z",
        "progress": 100.0,
        "status": "done",
        "srt_link": "https://everai.vn/media/audio/0e0e0ca6-ec85-4ced-b9b9-2350c6faa777_fsiPSVu.srt",
        "audio_link": "https://everai.vn/media/audio/0e0e0ca6-ec85-4ced-b9b9-2350c6faa777_fsiPSVu.mp3",
        "audio_expired": false
    },
    "status": 1
}
```
